import { JavaObject } from '../../../java/lang/JavaObject';
export declare class FaecherListeEintrag extends JavaObject {
    id: number;
    kuerzel: String | null;
    kuerzelStatistik: String | null;
    bezeichnung: String | null;
    sortierung: number;
    istOberstufenFach: boolean;
    istSichtbar: boolean;
    istAenderbar: boolean;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): FaecherListeEintrag;
    static transpilerToJSON(obj: FaecherListeEintrag): string;
    static transpilerToJSONPatch(obj: Partial<FaecherListeEintrag>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_fach_FaecherListeEintrag(obj: unknown): FaecherListeEintrag;
